Commit bc5bda3b authored by Duncan Coutts's avatar Duncan Coutts
Browse files

Make users of VersionIntervals use the new view function

parent 83c2a95e
......@@ -86,7 +86,7 @@ import Distribution.Version
, VersionRange, withinRange, foldVersionRange
, anyVersion, thisVersion, laterVersion, earlierVersion
, orLaterVersion, unionVersionRanges, intersectVersionRanges
, VersionIntervals(..), LowerBound(..), toVersionIntervals )
, asVersionIntervals, LowerBound(..) )
import Distribution.Package
( PackageName(PackageName), packageName, packageVersion
, Dependency(..) )
......@@ -670,9 +670,9 @@ checkCabalVersion pkg =
requiresAtLeast :: Version -> Bool
requiresAtLeast = case cabalVersionIntervals of
VersionIntervals ((LowerBound ver' _,_):_) -> (>= ver')
_ -> const False
where cabalVersionIntervals = toVersionIntervals (descCabalVersion pkg)
(LowerBound ver' _,_):_ -> (>= ver')
_ -> const False
where cabalVersionIntervals = asVersionIntervals (descCabalVersion pkg)
dataFilesUsingGlobSyntax = filter usesGlobSyntax (dataFiles pkg)
extraSrcFilesUsingGlobSyntax = filter usesGlobSyntax (extraSrcFiles pkg)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment